<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-725"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20XHXTabItem%E7%B1%BB%20%E5%8F%82%E8%80%83"></a><title>XHXKit: XHXTabItem类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('interface_x_h_x_tab_item.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">构造函数</a> |
<a href="#properties">属性</a> |
<a href="interface_x_h_x_tab_item-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">XHXTabItem类 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_x_h_x_tab_item_8h_source.html">XHXTabItem.h</a>&gt;</code></p>
<div class="dynheader">
类 XHXTabItem 继承关系图:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface_x_h_x_tab_item.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
构造函数</h2></td></tr>
<tr class="memitem:af08855858ad353e76322dd1cd3348c30"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_tab_item.html#af08855858ad353e76322dd1cd3348c30">setContentHorizontalCenterWithVerticalOffset:spacing:</a></td></tr>
<tr class="separator:af08855858ad353e76322dd1cd3348c30"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a762d7260bc1070fad3031967aa8b6b90"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_tab_item.html#a762d7260bc1070fad3031967aa8b6b90">setNumberBadgeMarginTop:centerMarginRight:titleHorizonalSpace:titleVerticalSpace:</a></td></tr>
<tr class="separator:a762d7260bc1070fad3031967aa8b6b90"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:acafe9be94e42370b3e9ec19eaa85dc8e"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_tab_item.html#acafe9be94e42370b3e9ec19eaa85dc8e">setDotBadgeMarginTop:centerMarginRight:sideLength:</a></td></tr>
<tr class="separator:acafe9be94e42370b3e9ec19eaa85dc8e"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table><table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
属性</h2></td></tr>
<tr class="memitem:a08253c9a12a99efaea62c0a780c0b2d4"><td class="memItemLeft" align="right" valign="top">BOOL&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tab_item.html#a08253c9a12a99efaea62c0a780c0b2d4">showRedDotView</a></td></tr>
<tr class="memdesc:a08253c9a12a99efaea62c0a780c0b2d4"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">是否显示右上角的小红点  <a href="interface_x_h_x_tab_item.html#a08253c9a12a99efaea62c0a780c0b2d4">更多...</a><br/></td></tr>
<tr class="separator:a08253c9a12a99efaea62c0a780c0b2d4"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a485535167e4dbd46cad6ac3ac4ff8795"><td class="memItemLeft" align="right" valign="top">NSUInteger&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tab_item.html#a485535167e4dbd46cad6ac3ac4ff8795">index</a></td></tr>
<tr class="memdesc:a485535167e4dbd46cad6ac3ac4ff8795"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">在父视图中的下标  <a href="interface_x_h_x_tab_item.html#a485535167e4dbd46cad6ac3ac4ff8795">更多...</a><br/></td></tr>
<tr class="separator:a485535167e4dbd46cad6ac3ac4ff8795"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:af84f8f8b976263383b219556346f1c05"><td class="memItemLeft" align="right" valign="top">NSString *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tab_item.html#af84f8f8b976263383b219556346f1c05">title</a></td></tr>
<tr class="memdesc:af84f8f8b976263383b219556346f1c05"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">文字  <a href="interface_x_h_x_tab_item.html#af84f8f8b976263383b219556346f1c05">更多...</a><br/></td></tr>
<tr class="separator:af84f8f8b976263383b219556346f1c05"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ae58d9371b2ed6106157e8c003fc81575"><td class="memItemLeft" align="right" valign="top">UIColor *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tab_item.html#ae58d9371b2ed6106157e8c003fc81575">titleColor</a></td></tr>
<tr class="memdesc:ae58d9371b2ed6106157e8c003fc81575"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">文字颜色  <a href="interface_x_h_x_tab_item.html#ae58d9371b2ed6106157e8c003fc81575">更多...</a><br/></td></tr>
<tr class="separator:ae58d9371b2ed6106157e8c003fc81575"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a44eda8f507be4542e0c88f2d1922aa53"><td class="memItemLeft" align="right" valign="top">UIColor *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tab_item.html#a44eda8f507be4542e0c88f2d1922aa53">titleSelectedColor</a></td></tr>
<tr class="memdesc:a44eda8f507be4542e0c88f2d1922aa53"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">选中的文字颜色  <a href="interface_x_h_x_tab_item.html#a44eda8f507be4542e0c88f2d1922aa53">更多...</a><br/></td></tr>
<tr class="separator:a44eda8f507be4542e0c88f2d1922aa53"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a2d7c12dc00137ed497d011bbb7e47d42"><td class="memItemLeft" align="right" valign="top">UIFont *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tab_item.html#a2d7c12dc00137ed497d011bbb7e47d42">titleFont</a></td></tr>
<tr class="memdesc:a2d7c12dc00137ed497d011bbb7e47d42"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">文字font  <a href="interface_x_h_x_tab_item.html#a2d7c12dc00137ed497d011bbb7e47d42">更多...</a><br/></td></tr>
<tr class="separator:a2d7c12dc00137ed497d011bbb7e47d42"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a13101877e531481c02d2879cd6175b31"><td class="memItemLeft" align="right" valign="top">UIFont *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tab_item.html#a13101877e531481c02d2879cd6175b31">titleSelectedFont</a></td></tr>
<tr class="memdesc:a13101877e531481c02d2879cd6175b31"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">选中的文字font  <a href="interface_x_h_x_tab_item.html#a13101877e531481c02d2879cd6175b31">更多...</a><br/></td></tr>
<tr class="separator:a13101877e531481c02d2879cd6175b31"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a28dff36fdedd88d649ef550273b2c0c7"><td class="memItemLeft" align="right" valign="top">CGFloat&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tab_item.html#a28dff36fdedd88d649ef550273b2c0c7">titleWidth</a></td></tr>
<tr class="memdesc:a28dff36fdedd88d649ef550273b2c0c7"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">文字的宽  <a href="interface_x_h_x_tab_item.html#a28dff36fdedd88d649ef550273b2c0c7">更多...</a><br/></td></tr>
<tr class="separator:a28dff36fdedd88d649ef550273b2c0c7"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ad75b02b5f65abc7a35d53c00ae2c4611"><td class="memItemLeft" align="right" valign="top">UIImage *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tab_item.html#ad75b02b5f65abc7a35d53c00ae2c4611">image</a></td></tr>
<tr class="memdesc:ad75b02b5f65abc7a35d53c00ae2c4611"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">图片  <a href="interface_x_h_x_tab_item.html#ad75b02b5f65abc7a35d53c00ae2c4611">更多...</a><br/></td></tr>
<tr class="separator:ad75b02b5f65abc7a35d53c00ae2c4611"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a7972d2819df985331c1a8277164453aa"><td class="memItemLeft" align="right" valign="top">UIImage *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tab_item.html#a7972d2819df985331c1a8277164453aa">selectedImage</a></td></tr>
<tr class="memdesc:a7972d2819df985331c1a8277164453aa"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">选中时的图片  <a href="interface_x_h_x_tab_item.html#a7972d2819df985331c1a8277164453aa">更多...</a><br/></td></tr>
<tr class="separator:a7972d2819df985331c1a8277164453aa"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a75fb03365b5bc1137c35d2998d633a4c"><td class="memItemLeft" align="right" valign="top">XHXTabItemBadgeStyle&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tab_item.html#a75fb03365b5bc1137c35d2998d633a4c">badgeStyle</a></td></tr>
<tr class="memdesc:a75fb03365b5bc1137c35d2998d633a4c"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">badge类型 2种：数字，小圆点  <a href="interface_x_h_x_tab_item.html#a75fb03365b5bc1137c35d2998d633a4c">更多...</a><br/></td></tr>
<tr class="separator:a75fb03365b5bc1137c35d2998d633a4c"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a522f703cb76fe2c1f03eaaf6fd4bec8f"><td class="memItemLeft" align="right" valign="top">NSInteger&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tab_item.html#a522f703cb76fe2c1f03eaaf6fd4bec8f">badge</a></td></tr>
<tr class="separator:a522f703cb76fe2c1f03eaaf6fd4bec8f"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ab613244a886c525301c2aa9f2ae16c77"><td class="memItemLeft" align="right" valign="top">UIColor *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tab_item.html#ab613244a886c525301c2aa9f2ae16c77">badgeBackgroundColor</a></td></tr>
<tr class="memdesc:ab613244a886c525301c2aa9f2ae16c77"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">badge背景颜色  <a href="interface_x_h_x_tab_item.html#ab613244a886c525301c2aa9f2ae16c77">更多...</a><br/></td></tr>
<tr class="separator:ab613244a886c525301c2aa9f2ae16c77"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ab73649854948706a960367dcc44b495c"><td class="memItemLeft" align="right" valign="top">UIColor *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tab_item.html#ab73649854948706a960367dcc44b495c">badgeTitleColor</a></td></tr>
<tr class="memdesc:ab73649854948706a960367dcc44b495c"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">badge文字颜色  <a href="interface_x_h_x_tab_item.html#ab73649854948706a960367dcc44b495c">更多...</a><br/></td></tr>
<tr class="separator:ab73649854948706a960367dcc44b495c"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ab57c48fe8ad0136bc61f413ba2e3a8d4"><td class="memItemLeft" align="right" valign="top">UIFont *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tab_item.html#ab57c48fe8ad0136bc61f413ba2e3a8d4">badgeTitleFont</a></td></tr>
<tr class="memdesc:ab57c48fe8ad0136bc61f413ba2e3a8d4"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">badge文字font  <a href="interface_x_h_x_tab_item.html#ab57c48fe8ad0136bc61f413ba2e3a8d4">更多...</a><br/></td></tr>
<tr class="separator:ab57c48fe8ad0136bc61f413ba2e3a8d4"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a376939eb36f04aba04eae9a1657f990c"><td class="memItemLeft" align="right" valign="top">CGSize&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tab_item.html#a376939eb36f04aba04eae9a1657f990c">size</a></td></tr>
<tr class="separator:a376939eb36f04aba04eae9a1657f990c"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:af68569a7e64f43a1dd836709ac5f8000"><td class="memItemLeft" align="right" valign="top">UIEdgeInsets&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tab_item.html#af68569a7e64f43a1dd836709ac5f8000">indicatorInsets</a></td></tr>
<tr class="memdesc:af68569a7e64f43a1dd836709ac5f8000"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">设置指示器的边距嵌入  <a href="interface_x_h_x_tab_item.html#af68569a7e64f43a1dd836709ac5f8000">更多...</a><br/></td></tr>
<tr class="separator:af68569a7e64f43a1dd836709ac5f8000"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a841b358e067bc7dd8fda51d1689651a9"><td class="memItemLeft" align="right" valign="top">CGRect&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tab_item.html#a841b358e067bc7dd8fda51d1689651a9">indicatorFrame</a></td></tr>
<tr class="memdesc:a841b358e067bc7dd8fda51d1689651a9"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">指示器的位置  <a href="interface_x_h_x_tab_item.html#a841b358e067bc7dd8fda51d1689651a9">更多...</a><br/></td></tr>
<tr class="separator:a841b358e067bc7dd8fda51d1689651a9"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a1e6d0518a20a2d131ec90a1790a90da7"><td class="memItemLeft" align="right" valign="top">CGRect&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tab_item.html#a1e6d0518a20a2d131ec90a1790a90da7">frameWithOutTransform</a></td></tr>
<tr class="separator:a1e6d0518a20a2d131ec90a1790a90da7"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ab5451a1bf1cff57b201d120ab47d8014"><td class="memItemLeft" align="right" valign="top">BOOL&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tab_item.html#ab5451a1bf1cff57b201d120ab47d8014">contentHorizontalCenter</a></td></tr>
<tr class="memdesc:ab5451a1bf1cff57b201d120ab47d8014"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">设置 Image与title 水平居中  <a href="interface_x_h_x_tab_item.html#ab5451a1bf1cff57b201d120ab47d8014">更多...</a><br/></td></tr>
<tr class="separator:ab5451a1bf1cff57b201d120ab47d8014"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table>
<h2 class="groupheader">函数文档</h2>
<a id="af08855858ad353e76322dd1cd3348c30"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af08855858ad353e76322dd1cd3348c30">◆&nbsp;</a></span>setContentHorizontalCenterWithVerticalOffset:spacing:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (void) setContentHorizontalCenterWithVerticalOffset: </td>
          <td></td>
          <td class="paramtype">(CGFloat)&nbsp;</td>
          <td class="paramname"><em>verticalOffset</em></td>
        </tr>
        <tr>
          <td class="paramkey">spacing:</td>
          <td></td>
          <td class="paramtype">(CGFloat)&nbsp;</td>
          <td class="paramname"><em>spacing</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>设置Image和Title水平居中</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tbody><tr><td class="paramname">verticalOffset</td><td>竖直方向的偏移量 </td></tr>
    <tr><td class="paramname">spacing</td><td>Image与Title的间距 </td></tr>
  </tbody></table>
  </dd>
</dl>

</div>
</div>
<a id="acafe9be94e42370b3e9ec19eaa85dc8e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acafe9be94e42370b3e9ec19eaa85dc8e">◆&nbsp;</a></span>setDotBadgeMarginTop:centerMarginRight:sideLength:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (void) setDotBadgeMarginTop: </td>
          <td></td>
          <td class="paramtype">(CGFloat)&nbsp;</td>
          <td class="paramname"><em>marginTop</em></td>
        </tr>
        <tr>
          <td class="paramkey">centerMarginRight:</td>
          <td></td>
          <td class="paramtype">(CGFloat)&nbsp;</td>
          <td class="paramname"><em>centerMarginRight</em></td>
        </tr>
        <tr>
          <td class="paramkey">sideLength:</td>
          <td></td>
          <td class="paramtype">(CGFloat)&nbsp;</td>
          <td class="paramname"><em>sideLength</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>设置小圆点Badge的位置</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tbody><tr><td class="paramname">marginTop</td><td>与TabItem顶部的距离 </td></tr>
    <tr><td class="paramname">centerMarginRight</td><td>中心与TabItem右侧的距离 </td></tr>
    <tr><td class="paramname">sideLength</td><td>小圆点的边长 </td></tr>
  </tbody></table>
  </dd>
</dl>

</div>
</div>
<a id="a762d7260bc1070fad3031967aa8b6b90"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a762d7260bc1070fad3031967aa8b6b90">◆&nbsp;</a></span>setNumberBadgeMarginTop:centerMarginRight:titleHorizonalSpace:titleVerticalSpace:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (void) setNumberBadgeMarginTop: </td>
          <td></td>
          <td class="paramtype">(CGFloat)&nbsp;</td>
          <td class="paramname"><em>marginTop</em></td>
        </tr>
        <tr>
          <td class="paramkey">centerMarginRight:</td>
          <td></td>
          <td class="paramtype">(CGFloat)&nbsp;</td>
          <td class="paramname"><em>centerMarginRight</em></td>
        </tr>
        <tr>
          <td class="paramkey">titleHorizonalSpace:</td>
          <td></td>
          <td class="paramtype">(CGFloat)&nbsp;</td>
          <td class="paramname"><em>titleHorizonalSpace</em></td>
        </tr>
        <tr>
          <td class="paramkey">titleVerticalSpace:</td>
          <td></td>
          <td class="paramtype">(CGFloat)&nbsp;</td>
          <td class="paramname"><em>titleVerticalSpace</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>设置数字Badge的位置</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tbody><tr><td class="paramname">marginTop</td><td>与TabItem顶部的距离 </td></tr>
    <tr><td class="paramname">centerMarginRight</td><td>中心与TabItem右侧的距离 </td></tr>
    <tr><td class="paramname">titleHorizonalSpace</td><td>标题水平方向的空间 </td></tr>
    <tr><td class="paramname">titleVerticalSpace</td><td>标题竖直方向的空间 </td></tr>
  </tbody></table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">属性说明</h2>
<a id="a522f703cb76fe2c1f03eaaf6fd4bec8f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a522f703cb76fe2c1f03eaaf6fd4bec8f">◆&nbsp;</a></span>badge</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (NSInteger) badge</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">
<p>如果badgeStyle == XHXTabItemBadgeStyleNumber时，可设置此属性，显示badge值 badge &gt; 99, 显示99+ badge &lt;= 99 且 badge &gt; 0, 显示具体数值 badge &lt;= 0, 不显示 </p>

</div>
</div>
<a id="ab613244a886c525301c2aa9f2ae16c77"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab613244a886c525301c2aa9f2ae16c77">◆&nbsp;</a></span>badgeBackgroundColor</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (UIColor*) badgeBackgroundColor</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

<p>badge背景颜色 </p>

</div>
</div>
<a id="a75fb03365b5bc1137c35d2998d633a4c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a75fb03365b5bc1137c35d2998d633a4c">◆&nbsp;</a></span>badgeStyle</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (XHXTabItemBadgeStyle) badgeStyle</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

<p>badge类型 2种：数字，小圆点 </p>

</div>
</div>
<a id="ab73649854948706a960367dcc44b495c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab73649854948706a960367dcc44b495c">◆&nbsp;</a></span>badgeTitleColor</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (UIColor*) badgeTitleColor</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

<p>badge文字颜色 </p>

</div>
</div>
<a id="ab57c48fe8ad0136bc61f413ba2e3a8d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab57c48fe8ad0136bc61f413ba2e3a8d4">◆&nbsp;</a></span>badgeTitleFont</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (UIFont*) badgeTitleFont</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

<p>badge文字font </p>

</div>
</div>
<a id="ab5451a1bf1cff57b201d120ab47d8014"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab5451a1bf1cff57b201d120ab47d8014">◆&nbsp;</a></span>contentHorizontalCenter</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (BOOL) contentHorizontalCenter</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

<p>设置 Image与title 水平居中 </p>

</div>
</div>
<a id="a1e6d0518a20a2d131ec90a1790a90da7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1e6d0518a20a2d131ec90a1790a90da7">◆&nbsp;</a></span>frameWithOutTransform</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGRect) frameWithOutTransform</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">
<p>用于记录tabItem在缩放前的frame， 在tabBar的属性itemFontChangeFollowContentScroll == YES时会用到 </p>

</div>
</div>
<a id="ad75b02b5f65abc7a35d53c00ae2c4611"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad75b02b5f65abc7a35d53c00ae2c4611">◆&nbsp;</a></span>image</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (UIImage*) image</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

<p>图片 </p>

</div>
</div>
<a id="a485535167e4dbd46cad6ac3ac4ff8795"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a485535167e4dbd46cad6ac3ac4ff8795">◆&nbsp;</a></span>index</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (NSUInteger) index</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

<p>在父视图中的下标 </p>

</div>
</div>
<a id="a841b358e067bc7dd8fda51d1689651a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a841b358e067bc7dd8fda51d1689651a9">◆&nbsp;</a></span>indicatorFrame</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGRect) indicatorFrame</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

<p>指示器的位置 </p>

</div>
</div>
<a id="af68569a7e64f43a1dd836709ac5f8000"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af68569a7e64f43a1dd836709ac5f8000">◆&nbsp;</a></span>indicatorInsets</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (UIEdgeInsets) indicatorInsets</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

<p>设置指示器的边距嵌入 </p>

</div>
</div>
<a id="a7972d2819df985331c1a8277164453aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7972d2819df985331c1a8277164453aa">◆&nbsp;</a></span>selectedImage</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (UIImage*) selectedImage</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

<p>选中时的图片 </p>

</div>
</div>
<a id="a08253c9a12a99efaea62c0a780c0b2d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a08253c9a12a99efaea62c0a780c0b2d4">◆&nbsp;</a></span>showRedDotView</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (BOOL) showRedDotView</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

<p>是否显示右上角的小红点 </p>

</div>
</div>
<a id="a376939eb36f04aba04eae9a1657f990c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a376939eb36f04aba04eae9a1657f990c">◆&nbsp;</a></span>size</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGSize) size</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="af84f8f8b976263383b219556346f1c05"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af84f8f8b976263383b219556346f1c05">◆&nbsp;</a></span>title</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (NSString*) title</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">copy</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

<p>文字 </p>

</div>
</div>
<a id="ae58d9371b2ed6106157e8c003fc81575"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae58d9371b2ed6106157e8c003fc81575">◆&nbsp;</a></span>titleColor</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (UIColor*) titleColor</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

<p>文字颜色 </p>

</div>
</div>
<a id="a2d7c12dc00137ed497d011bbb7e47d42"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d7c12dc00137ed497d011bbb7e47d42">◆&nbsp;</a></span>titleFont</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (UIFont*) titleFont</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

<p>文字font </p>

</div>
</div>
<a id="a44eda8f507be4542e0c88f2d1922aa53"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a44eda8f507be4542e0c88f2d1922aa53">◆&nbsp;</a></span>titleSelectedColor</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (UIColor*) titleSelectedColor</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

<p>选中的文字颜色 </p>

</div>
</div>
<a id="a13101877e531481c02d2879cd6175b31"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a13101877e531481c02d2879cd6175b31">◆&nbsp;</a></span>titleSelectedFont</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (UIFont*) titleSelectedFont</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

<p>选中的文字font </p>

</div>
</div>
<a id="a28dff36fdedd88d649ef550273b2c0c7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a28dff36fdedd88d649ef550273b2c0c7">◆&nbsp;</a></span>titleWidth</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGFloat) titleWidth</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

<p>文字的宽 </p>

</div>
</div>
<hr/>该类的文档由以下文件生成:<ul>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/Tabbar/<a class="el" href="_x_h_x_tab_item_8h_source.html">XHXTabItem.h</a></li>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/Tabbar/<a class="el" href="_x_h_x_tab_item_8m.html">XHXTabItem.m</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="interface_x_h_x_tab_item.html">XHXTabItem</a></li>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>